html, body {
    font-family: 'Montserrat', sans-serif;
}

@font-face {
    font-family: Minigap;
    src: local('minigap/gravitype-minigap.otf');
    font-weight: 400;
}

.button-container {
    padding: 10px;
    display: grid;
    gap: 5px;
    grid-template-columns: 1fr;
}

.container {
    padding: 10px;
    display: grid;
    gap: 5px;
    grid-template-columns: 1fr;
}

.offer-container {
    grid-template-columns: 1fr 1fr;
}

@media screen and (max-width: 800px) {
    .offer-container {
        grid-template-columns: 1fr;
    }
}


/*#region LongButton*/

.long-button {
    min-width: 100%;
    display: flex;
    align-items: stretch;
    justify-content: space-around;
    padding: 5px 0;
    background-color: #4A59E9;

    font-weight: 500;
    line-height: 17px;
    font-size: 14px;
    letter-spacing: 1px;

    color: #fff;

    border-radius: 5px;
    border-color: transparent;
    box-shadow: none;
}

.long-button:hover {
    cursor: pointer;
}

.long-button:disabled {
    background-color: #505050;
    cursor: default;
}

.long-button > .wrapper {
    display: flex;
    align-items: center;
}

.long-button > .wrapper:nth-child(1) {
    flex-grow: 3;
    display: flex;
    justify-content: center;
    padding: 6px 0;
}

.long-button > .wrapper:nth-child(3) {
    display: flex;
    justify-content: center;
    flex-grow: 7;
}

.long-button > .wrapper:nth-child(3) > span {
    margin-left: 12px;
}

.long-button > .divider-vertical {
    border-left: 1px solid white;
}

/*#endregion*/


/*#region IconButton*/

.icon-button {

    display: flex;
    align-items: stretch;
    justify-content: space-around;
    width: 100%;
    padding: 5px 0;

    border-radius: 5px;
    border-color: transparent;
    box-shadow: none;
    background-color: #4A59E9;

    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    letter-spacing: 1px;

    color: #fff;
}

.icon-button:hover {
    cursor: pointer;
}

.icon-button:disabled {
    cursor: default;
    background-color: #505050;

}

.icon-button__wrapper {
    display: flex;
    padding: 6px;
}

.icon-button__wrapper svg {
    margin-right: 5px;
}

.icon-button__wrapper span {
    margin-left: 5px;
}

/*#endregion*/

/*#region SecondaryButton*/

.secondary-button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 11px 0;

    width: 100%;

    border-radius: 5px;
    border: 1px solid #4A59E9;
    box-shadow: none;
    background-color: #181818;

    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    letter-spacing: 1px;

    color: #fff;
}

.secondary-button:hover {
    cursor: pointer;
}

.secondary-button:disabled {
    cursor: default;
    background-color: #505050;

}

/*#endregion*/

/*#region OfferCard*/

.offer-card {
    background-color: #181818;
    display: flex;
    flex-direction: column;
    border-radius: 10px;
    padding: 15px 20px;
    row-gap: 10px;
}

.offer-card__info {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.offer-card__logo {}

.offer-card__logo img {
    height: 32px;
    width: 32px;
}

.offer-card__amount {
    color: #fff;
    font-family: Minigap, sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
    letter-spacing: 1px;
    text-align: left;
}

.offer-card-direction {}

.offer-card__actions {}


/*#endregion*/

/*#region AccountCard*/
.account-card {
    max-width: 100%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    gap: 10px;

    background-color: #181818;
    padding: 20px;
}
.account-card__info {
    display: flex;
    column-gap: 10px;
    align-items: center;
}
.account-card__logo {

}

.account-card__logo img {
    height: 32px;
    width: 32px;
}

.account-card__amount {
    font-family: Minigap, sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
    letter-spacing: 0;
    text-align: left;
    color: #fff;
}


.account-card__dropdown-icon {
    align-self: start;
}
.spacer {
    flex-grow: 1;
}
.account-card__qr-scanner {
    cursor: pointer;
}
.account-card__assets-list {

}
.account-card__actions {
    display: flex;
    gap: 10px;
}
.account-card__deposit {
    flex-grow: 1;
}
.account-card__withdraw {
    flex-grow: 1;
}

/*#endregion*/

/*#region OfferGroup*/
.offer-group {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.offer-group__header {
    display: flex;
    justify-content: space-between;
    align-items: center;

    font-family: Montserrat, sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 19px;
    letter-spacing: 0;
    text-align: left;

    color: #fff;
}

.offer-group__history-icon {
    margin-top: 6px;
    margin-right: 4px;
}

.offer-group__list {
    display: grid;
    grid-template-columns: 1fr;
    gap: 10px;
}
/*#endregion*/

/*#region DepositCard*/
.deposit-card {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 20px;
    background-color: #181818;

    color: #fff;

    font-family: Minigap, sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 17px;
    letter-spacing: 0;
    text-align: left;
}
.deposit-card__header {
    display: flex;
    justify-content: space-around;
    gap: 10px;
    align-items: center;
}
.deposit-card__logo {}
.deposit-card__logo img {
    height: 26px;
    width: 26px;
}
.deposit-card__amount {}
.deposit-card__status {

    font-family: Montserrat, sans-serif;
    font-size: 12px;
    font-weight: 400;
    line-height: 14px;
    text-align: right;

    color: #65D73D;
}

.deposit-card__details {
    display: grid;
    grid-template-columns: 1fr;
    align-items: start;
    gap: 10px;

    font-size: 14px;
    line-height: 17px;
}

@media screen and (min-width: 768px) {
    .deposit-card__details {
        grid-template-columns: 1fr 1fr;
    }
}

.deposit-card__label {
    font-family: Montserrat, sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 17px;
    letter-spacing: 0;
    text-align: left;

}

.deposit-card__amount {
    display: flex;
    flex-direction: column;
}
.deposit-card__profit {
    display: flex;
    flex-direction: column;
}
.deposit-card__created-at {
    display: flex;
    flex-direction: column;
}
.deposit-card__end-date {
    display: flex;
    flex-direction: column;
}



/*#endregion*/
